### Method

# Rest ParamsIter init

#### Declaration [src]

    void
    rest_params_iter_init (
      RestParamsIter* iter,
      RestParams* params
    )

#### Description [src]

Initialize a parameter iterator over `params`. Modifying `params` after calling this function invalidates the returned iterator.

    RestParamsIter iter;
    const char *name;
    RestParam *param;

    rest_params_iter_init (&iter, params);
    while (rest_params_iter_next (&iter, &name, &param)) {
      /&ast; do something with name and param &ast;/
    }

#### Parameters

`params`

  Type: `RestParams`

  A valid `RestParams`.

  The data is owned by the caller of the method.